[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.Utf8KeyPress

Handles a key press with the specified UTF-8 character value.

## Declaration

Source position: maskedit.pp line 299

`protected procedure TCustomMaskEdit.Utf8KeyPress(`
`var UTF8Key: TUTF8Char`
`); override;`

## Arguments

`UTF8Key` |  | UTF-8-encode key handled in the method.

## Description

Utf8KeyPress is an overridden method in TCustomMaskEdit, and calls the inherited method on entry to signal the OnUTF8KeyPress event handler (when assigned).

UTF8Key contains the UTF-8-encoded character for the key press notification. The value in UTF8Key may be set to an empty character ('') if it has been handled in the ancestor method.

Utf8KeyPress calls the HandleKeyPress method to apply the character value to the control. It is only called when UTF8Key contains a multi-byte UTF-8 character value. Otherwise, the key event is handled by the KeyPress method.

## See also

TCustomMaskEdit.HandleKeyPress |  | Handle all keys from KeyPress and Utf8KeyPress.
TCustomMaskEdit.KeyPress |  | Performs actions needed to handle the specified character in the control.
TWinControl.UTF8KeyPress |  | Signals the OnUTF8KeyPress event handler (when assigned).
TWinControl.OnUTF8KeyPress |  | Handler for a character entered by the user.